Skip to main content

Practitioner

Overview​

The Practitioner resource represents individuals directly or indirectly involved in healthcare provision, including physicians, nurses, therapists, and other healthcare professionals.

Important: Always validate Practitioner resource support and available operations by retrieving the current CapabilityStatement from /metadata before implementing integrations.

Resource Schema​

The Practitioner resource follows the HL7 FHIR R4 Practitioner specification.

Key elements include:

  • identifier - Identifiers for the practitioner (NPI, license numbers)
  • active - Whether practitioner's record is in active use
  • name - Name(s) associated with the practitioner
  • telecom - Contact details for the practitioner
  • address - Address(es) for the practitioner
  • gender - Administrative gender
  • birthDate - Date of birth
  • photo - Image of the practitioner
  • qualification - Certifications, licenses, or training
  • communication - Languages spoken by practitioner

Example Practitioner Resource​

{
"resourceType": "Practitioner",
"id": "12345",
"identifier": [{
"use": "official",
"type": {
"coding": [{
"system": "http://terminology.hl7.org/CodeSystem/v2-0203",
"code": "NPI",
"display": "National Provider Identifier"
}]
},
"system": "http://hl7.org/fhir/sid/us-npi",
"value": "1234567890"
}],
"active": true,
"name": [{
"use": "official",
"family": "Smith",
"given": ["John", "Michael"],
"prefix": ["Dr."],
"suffix": ["MD"]
}],
"telecom": [{
"system": "phone",
"value": "+1-555-123-4567",
"use": "work"
}, {
"system": "email",
"value": "john.smith@hospital.example.org",
"use": "work"
}],
"address": [{
"use": "work",
"line": ["123 Medical Plaza"],
"city": "Medical City",
"state": "CA",
"postalCode": "12345",
"country": "US"
}],
"gender": "male",
"qualification": [{
"identifier": [{
"system": "http://example.org/medical-licenses",
"value": "MD-12345"
}],
"code": {
"coding": [{
"system": "http://terminology.hl7.org/CodeSystem/v2-0360",
"code": "MD",
"display": "Doctor of Medicine"
}]
},
"period": {
"start": "2010-01-01"
},
"issuer": {
"display": "State Medical Board"
}
}]
}

Supported Profiles​

This API supports the following FHIR profiles:

Operations​

info

Support for the different types of Conditions may vary by CareRecord. Please consult your target solution's documentation for more information.

The General Purpose FHIR R4 Practitioner resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.

CareRecord / SolutionCreateReadUpdateSearch
GEHRIMED-Yes-Yes
myAvatarYesYesYesYes
myEvolv-Yes-Yes
myUnity-Yes-Yes
Referral Manager----

This resource supports a combination of standard and custom search parameters in addition to the common parameters.

Standard Parameters​

NameTypeDescription
familystringA portion of the family name of the practitioner
givenstringA portion of the given name of the practitioner
identifiertokenA practitioner identifier
namestringA server defined search that may match any of the string fields in the HumanName, including family, give, prefix, suffix, suffix, and/or text
_ididUnique identifier of the Practitioiner. Cannot be used with other search parameters.

Custom Parameters​

NameTypeDescription
npiidPractitioner NPI identifier.

Search Examples​

The POST method is recommended as it keeps health information out of the URL.

Search by Name
curl -X POST https://fhir.netsmartcloud.com/v4/Practitioner/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "name=john smith"
Search by ID
curl -X POST https://fhir.netsmartcloud.com/v4/Practitioner/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "identifier=97860456"

Special Considerations​

The General Purpose API FHIR R4 Practitioner resource has the following considerations in addition to the shared special considerations.

Support for Fallback to Staff Member​

The General Purpose API FHIR R4 Practitioner resource supports returning Staff Members as Practitioners. This functionality currently supports Read and Search.

Error Handling​

For information about error responses when working with Practitioner resources, see Common Errors.

Common Practitioner-related errors include:

  • Invalid practitioner identifiers or NPI numbers
  • Missing required name information
  • Malformed contact or address information
  • Invalid qualification or license references

Integration Patterns​

Provider Directory​

Search for healthcare providers:

# Find practitioners by name
curl -X GET "https://fhir.netsmartcloud.com/v4/Practitioner?name=smith" \
-H "Authorization: Bearer {token}" \
-H "Accept: application/fhir+json"

Credentialing Verification​

Verify practitioner credentials:

# Search by NPI number
curl -X GET "https://fhir.netsmartcloud.com/v4/Practitioner?npi=1234567890" \
-H "Authorization: Bearer {token}" \
-H "Accept: application/fhir+json"

Clinical Workflows​

Find practitioners by identifier:

# Search by identifier
curl -X GET "https://fhir.netsmartcloud.com/v4/Practitioner?identifier=97860456" \
-H "Authorization: Bearer {token}" \
-H "Accept: application/fhir+json"

Care Team Assembly​

Retrieve practitioner details for care coordination:

# Get practitioner by family name
curl -X GET "https://fhir.netsmartcloud.com/v4/Practitioner?family=johnson" \
-H "Authorization: Bearer {token}" \
-H "Accept: application/fhir+json"

Relationships to Other Resources​

The Practitioner resource connects to many healthcare workflow resources:

Support​

For questions about Practitioner resource implementation or provider directory integration, contact Netsmart support through your designated support channels.